Subject: Re: Re : Re: [EDUC]Proposition de loi visant à rendre obligatoire l’enseignement du codage informatique à l’école
From: Christophe Demko <[email-masked]>
To: [email-masked]
Date: Wed, 18 Jun 2014 14:57:01 +0200
List-Id: <educ.april.org>

Le 18/06/2014 14:38, [email-masked] a écrit :
> ----- Christophe Demko <[email-masked]> a écrit :
>> Le 13/06/2014 08:23, Frederic Couchet a écrit :
>>> Bonjour,
>>>
>>> Une proposition de loi visant à rendre obligatoire l’enseignement du codage
>>> informatique à l’école a été déposée à l'assemblée nationale :
>>>
>>> http://www.assemblee-nationale.fr/14/propositions/pion2022.asp
>>>
>>> Librement,
>>> Fred.
>> De mon point de vue, l'apprentissage du codage est une activité
>> intellectuelle qui tend à exercer l'élève dans ses compétences de
>> planification. 
> Je veux bien entendre le terme "compétence de planification", nécessaire
> dans un travail collaboratif (par exemple réaliser un petit site web,
> à partir d'un champ lexical, sur un mode collaboratif où chaque groupe
> établit lui-même en commun les règles, nommage des fichiers, graphe 
> commun... ) mais pas celui d'apprentissage du codage qui est des
> plus imprécis.
Le codage n'est pas imprécis: il définit la mise en pratique d'un
algorithme dans un langage informatique. Son apprentissage vise donc à
apprendre aux enfants à écrire dans un langage informatique les idées
d'un algorithme.
>
> On ne peut pas réfléchir à un enseignement, c'est-à-dire à son épistémologie
> sur des concepts dont le pouvoir d'évocation va au delà de la puissance
> de signifié et où chacun met ce qu'il veut.
>
>> Autrement dit dans ses capacités de prévision, ce qui
>> correspond pour le codage à prévoir le fonctionnement automatique de la
>> machine. 
> Tu t'adresses à qui ?
> Quel niveau ?
> Pour quelle progression ?
> Dans quel cadre ? 
> Un workflow ?
Visiblement, vous n'êtes pas un "codeur". J'exprimais simplement ce à
quoi correspond l'activité intellectuelle de codage.
>
>> Pour avoir vu mon fils de 11 ans prévoir avec délectation les
>> conséquences de sa création de redstone dans le jeu minecraft
>> <http://minecraft-fr.gamepedia.com/Circuits_de_redstone> depuis
>> maintenant 3 ans, je pense que le codage est une activité qui peut
>> s'aborder dès le primaire.
> N'ayant plus 11 ans, j'ai cherché à me documenter.
>
> 1) minecraft est un jeu propriétaire :
>
> "Minecraft est un logiciel propriétaire développé en Java et ni API ni SDK officiels 
> ne sont disponibles, etc ".
> http://fr.wikipedia.org/wiki/Minecraft
Oui, effectivement. Mais j'ai choisi ce jeu pour illustrer que
l'apprentissage de la programmation, du "codage" peut s'enseigner dès 8
ans. Car l'utilisation dans ce jeu des circuits de redstone est de la
programmation, donc du codage.
>
> 2) Le terme "redstone" a au moins 8 sens distincts :
> http://minecraft-fr.gamepedia.com/Redstone
>
> +1 si l'on rajoute le tien : "circuit de restone".
>
> Dur... dur dans ces conditions de savoir de quoi l'on parle.
Toujours à fin d'illustration.
>
> Je veux bien entendre que ton fils de 11 ans peut prévoir avec 
> délectation des conséquences... même si en d'autres circonstances
> la délectation était plutôt du côté des machines désirantes
> de Deleuze  et Guattari, précisément celles qui ne cessaient de
> se détraquer en marchant... 
>
> Ce qui définit précisément les macines désirantes, c'est leur pouvoir 
> de connexion à l'infini, en tous sens et dans toutes les directions.
> Gilles Deleuze ; Félix Guattari, L'Anti-OEdipe (Minuit, 1973, p. 469)
>
> ... mais je constate du côté du collège que l'une ces causes
> de l'échec scolaire est occasionné par les difficultés qu'ont
> un certain nombre d'enfants à modéliser. 
> Je suis donc persuadé que ce que tu nommes apprentissage du code,
> terme que je récuse excepté lorsqu'il s'agit d'enseigner l'encodage
> des données, la notion de code source, n'est pas forcément accessible
> à tous. 
> C'est encore un problème qui reste à élucider dans la mesure où,
> également, bien souvent les "codeurs" sont souvent pour d'autres raisons 
> en échec scolaire.
>
> Nous devons donc accepter d'affronter la complexité.
>
>
>> En revanche, ce n'est pas l'usage d'un langage ou même d'un logiciel
>> particulier que nous devons mettre en avant, mais la capacité de l'élève
>> à comprendre de manière générale l'algorithmique en se basant sur un
>> outil particulier. Je me rappelle de ma plus jeune enfance où l'on nous
>> obligeait à utiliser la plume sergent major
>> <http://fr.wikipedia.org/wiki/Plume_Sergent-Major> et où l'on nous
>> interdisait l'usage de ce stylo génial, le bic.
> Ne veux-tu pas dire, avec ton exemple de la plume sergent major,
> sans se baser sur un outil particulier ?
Sans forcer un outil particulier. Mais il faudra bien un stylo pour
écrire et donc un langage/logiciel pour programmer. Il existe plusieurs
outils adaptés aux enfants
(http://en.wikipedia.org/wiki/Educational_programming_language#Children)
>
> (Entre parenthèses, je me souviens d'une époque où l'on nous interdisait
> la plume sergent major. :)
>
>
>> Le combat que nous devons mener ne doit pas être donc pas contre le
>> codage, mais contre l'imposition d'un outil particulier, surtout s'il
>> est privateur et/ou onéreux pour l'éducation de nos enfants.
> Sur ce point nous sommes d'accord. La position de l'April qui était celle
> de l'EPI qui a changé d'avis puisqu'elle soutient désormais l'enseignement de 
> la bureautique en collège en techno (sic  !!!!) c'était non pas l'apprentissage
> d'un outil (le terme outil étant en informatique une métaphore par analogie
> avec les outils physique, donc concept à se méfier), d'une interface, 
> d'un logiciel, mais d'une classe de logiciels où l'on dégage les principes
> qui leur sont communs ; par exemple le principe de l'arborescence commun
> à CMS, un MediaWiki, une page web, la table des matières de l'usage structuré
> du traitement de texte...
>
> Pour autant, l'apprentissage de la notion d'interopérabilité qui n'existe nulle
> part dans les programmes scolaires (il faut attendre le C2i à l'université) 
> nécessite pour être intelligible que soit enseigné dans le cursus 
> la représentation des données, leur codage (dans le sens informatique du terme,
> pas dans le sens médiatique), leur format. 
Certainement, mais pas en primaire, cela me semble trop tôt.
>
> Ces éléments participent à une littératie informatique qui n'est pas tout
> à fait du même ordre que l'apprentissage de la programmation.
> Apprentissage qui ne sera jamais revendiqué par les lobbies privateurs
> de l'apprentissage du code à l'école.
>
> Débat à suivre.
>
> Librement,
> Charlie

Ch.D

PS: Merci de ne pas me tutoyer, je ne pense pas vous connaître assez.
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ